## ThunarxProviderFactory ThunarxProviderFactory — The provider factory support for applications |

## Functions

ThunarxProviderFactory * | thunarx_provider_factory_get_default ()
GList * | thunarx_provider_factory_list_providers ()

## Types and Values

| ThunarxProviderFactory

## Object Hierarchy

        GObject
        ╰── ThunarxProviderFactory

## Includes

    #include <thunarx/thunarx.h>

## Description

The ThunarxProviderFactory class allows applications to use Thunar plugins. It handles the loading of the installed extensions and instantiates providers for the application. For example, Thunar uses this class to access the installed extensions.

## Functions

### thunarx_provider_factory_get_default ()

    ThunarxProviderFactory *
    thunarx_provider_factory_get_default (void);

Returns a reference to the default ThunarxProviderFactory instance.

The caller is responsible to free the returned object using `g_object_unref()` when no longer needed.

#### Returns

a reference to the default ThunarxProviderFactory instance.

[transfer full]

### thunarx_provider_factory_list_providers ()

    GList *
    thunarx_provider_factory_list_providers
                                   (ThunarxProviderFactory *factory,
                                    GType type);

Returns all providers of the given `type` .

The caller is responsible to release the returned list of providers using code like this:

    1
    g_list_free_full (list, g_object_unref);

#### Parameters

factory | a ThunarxProviderFactory instance. |
type | the provider GType. |

#### Returns

the of providers for `type` .

[transfer full][element-type GObject]

## Types and Values

### ThunarxProviderFactory

    typedef struct _ThunarxProviderFactory ThunarxProviderFactory;